:root {
  --bg-gray-light: #F2F3F5;
  --bg-gray-lighter: #F7F8F9;
}


/*!------------------------------start style for checkbox/-----------------------!*/

.checkbox-container{
    display: flex;
    column-gap: 11px;
    align-items: center;
}
input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 18px;
    height: 18px;
    border: 1px solid #ced1d6;
    border-radius: 4px;
    position: relative;
    cursor: pointer;
    background: #fff;
  }
  
  input[type="checkbox"]:hover:not(:checked) {
    border-color: #007bff;
  }
  
  input[type="checkbox"]:checked {
    background-color: #007bff;
    border-color: #007bff;
    background-image: url('./icons/checkmark.svg');
    background-position: center center !important;
    background-repeat: no-repeat;
    background-size: 70%;
  }
  
.checkbox_label{
    font-size: 14px;
    line-height: 1.43;
    color: #081833;
    cursor: pointer;
}
/*!------------------------------end style for checkbox-----------------------!*/


/*!------------------------------start style for radio/-----------------------!*/

.radio-container{
    display: flex;
    column-gap: 11px;
    align-items: center;
}
input[type="radio"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: #fff;
    border: 1px solid #9ca3ad;
    border-radius: 50%;
    width: 18px;
    height: 18px;
    cursor: pointer;
    margin: 0; 
    padding: 0; 
    outline: none; 
    &:hover:not(:checked){
        border: 1px solid #1a69fc !important;
    }
  }
  
  input[type="radio"]:checked {
    border: 5px solid #1a69fc; 
  }
  
  input[type="radio"]:checked::after {
    display: block;
    width: 6px;
    height: 6px; 
    margin: 1px; 
    background-color: #1a69fc;
    border-radius: 50%;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 2px solid #fff;
  }
  
.radio_label{
    font-size: 14px;
    line-height: 1.43;
    color: #081833;
    cursor: pointer;
}

/*!------------------------------end style for radio-----------------------!*/




/*!------------------------------start style for select-----------------------!*/

.select-container{
  position: relative;
  display: block;
}
.select-container select{
  padding: 0;
  height: 40px !important;
  width: 100%;
  border-radius: 4px;
  text-indent: 11px;
  outline: none;
  background-color: #fff !important;
  appearance: none;
  border: 1px solid #ced1d6;
  font-size: 14px;
  font-weight: 400;
  background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KICAgIDxwYXRoIGQ9Ik0xNC4zOTMgOS4yNzFhLjk0Ljk0IDAgMCAxIDEuMzMuMDA5Ljk3Ljk3IDAgMCAxIC4wMDIgMS4zNmwtMy4wMjcgMy4wNzctLjAxLjAxYS45MzguOTM4IDAgMCAxLS42ODYuMjcxLjkzOS45MzkgMCAwIDEtLjY4Ny0uMjdsLS4wMS0uMDEtMy4wMjctMy4wNzdBLjk3Ljk3IDAgMCAxIDguMjggOS4yOGEuOTQuOTQgMCAwIDEgMS4zMy0uMDA5bC4wMS4wMSAyLjM4MiAyLjQyMSAyLjM4Mi0yLjQyeiIgZmlsbD0iIzFBNjlGQyIgZmlsbC1ydWxlPSJldmVub2RkIi8+Cjwvc3ZnPgo=) !important;
  background-size: 24px 24px !important;
  background-repeat: no-repeat;
  background-position-y: center;
  background-position-x: right;
  &:focus{
  outline: none;
  box-shadow: none;
  border-color: #ced1d6 !important;
  }
}
.select-container label{
  color: #6B7485;
  position: absolute;
  top: 0px;
  left: 8px;
  font-size: 10px;
  background-color: white;
  transition: all .2s ease;
  padding: 0 4px;
  color: #6B7485;
  height: 1px;
  line-height: 0;
  z-index: 1;
}
.selected{
  font-style: italic !important;
  color: #888 !important;
}


.select-container .select-hidden {
display: none;
visibility: hidden;
padding-right: 10px;
}

.select-container .select {
cursor: pointer;
display: inline-block;
position: relative;
font-size: 16px;
color: black;
width: 220px;
height: 40px;
}

.select-container .select-styled {
position: absolute;
top: 0;
right: 0;
bottom: 0;
left: 0;
background-color: white;
border: 1px solid #ced1d6;
border-radius: 3px;
padding: 8px 15px;
}

.select-container .select-styled:after {
content: url('./icons/arrow-down.svg'); 
width: 20px; 
height: 20px;
position: absolute;
top: 50%; 
right: 8px;
transform: translateY(-50%);
}

.select-container .select-styled:hover {
  border: 1px solid #1a69fc;
}


.select-container .select-options {
display: none;
position: absolute;
top: 100%;
right: 0;
left: 0;
z-index: 9999;
margin: 0;
padding: 0;
list-style: none;
background-color: #FFFFFF; 
box-shadow: 0 2px 14px 2px RGB(28 31 36/10%);
border-radius: 3px;
overflow-y: scroll;
max-height: calc(100vh - 60vh);
overflow-x: hidden;
}
.select-container .select-options::-webkit-scrollbar-track {
background-color: #F5F5F5;
}

.select-container .select-options::-webkit-scrollbar {
width: 5px;
background-color: #F5F5F5;
}
.select-container .select-options::-webkit-scrollbar-thumb {
background-color: #39465C;
}
.copy-input {
  display: none;
  z-index: 3;
  border-bottom: 1px dashed #1A69FC;
  cursor: pointer;
  text-transform: uppercase;
  font-size: 9px;
  line-height: 14px;
  position: absolute;
  right: 1px;
  top: 105%;
  color: #1A69FC;
}
.select-container .select-options li {
margin: 0;
padding: 8px 15px;
}

.select-container .select-options li:hover,
.select-container .select-options li.is-selected {
color: black;
background: #F2F3F5;
}

.select-container .select-options li[rel="hide"] {
display: none;
}
.search-input{
  border: 1px solid #ced1d6;
  font-size: 14px;
  font-weight: 700;
  padding: 7px 0px 7px 14px;
  position: sticky;
  top: 0;
  z-index: 1;
  box-shadow: 0px 7px 5px -3px rgba(115,98,98,0.74);
  -webkit-box-shadow: 0px 7px 5px -3px rgba(115,98,98,0.74);
  -moz-box-shadow: 0px 7px 5px -3px rgba(115,98,98,0.74);
  width: 100%;
  &:focus-visible{
      outline: none !important;
  }
}


/*!------------------------------end style for select-----------------------!*/


/*!------------------------------start style for input-----------------------!*/
.input-container {
  position: relative;
  display: block;
}
.input-container input {
  padding: 0;
  height: 40px;
  width: 100%;
  border-radius: 4px;
  text-indent: 11px;
  outline: none;
  background-color: #fff;
  appearance: none;
  border: 1px solid #ced1d6;
  font-size: 14px;
  font-weight: 500;
  /* text-transform: uppercase; */
  &:focus{
  outline: none !important;
  box-shadow: none !important;   
  border-color: #1A69FC !important;
  }
}

.input-container input:hover:not(:disabled) {
  border-color: rgb(26, 105, 252);
}

.input-container input:focus:not(:disabled),
.input-container input.has-content + label {
  border-color: rgb(26, 105, 252);
}


.input-container label {
  position: absolute;
  top: 20px;
  left: 12px;
  font-size: 14px;
  transition: all .2s ease;
  pointer-events: none;
  padding: 0 5px;
  color: #6B7485;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  box-sizing: content-box;
  background-color: #ffffff;

}

.input-container input.has-content + label,
.input-container input:focus + label {
  top: 0px;
  font-size: 10px;
}
.input-container input:not(:placeholder-shown) ~ label, .input-container input:focus ~ label {
  height: 2px;
  line-height: 0;
  z-index: 1;
  overflow: initial;
}



.relative_percent{
  position: absolute;
  top: 8px;
  right: 8px;
}
.relative_usd{
  position: absolute;
  top: 8px;
  right: 8px;
}
/*!------------------------------end style for input-----------------------!*/





/*!------------------------------start style for toggle input-----------------------!*/
.switcher {
  display: flex;
  align-items: center;
}
.switcher label {
  background-color: #9ca3ad;
  border-radius: 12px;
  width: 40px !important;
  min-width: 40px !important;
  height: 24px;
  position: relative;
  transition: 0.2s;
  cursor: pointer;
}
.switcher label:before {
  background-color: white;
  transition: 0.2s;
  content: "";
  position: absolute;
  border-radius: 100%;
  left: 2px;
  top: 2px;
  width: 20px;
  height: 20px;
}
.switcher input {
  display: none;
}
.switcher span {
  line-height: 1.43;
  font-size: 14px;
  font-weight: 500;
  margin-left: 14px;
}
.switcher input:checked + label {
  background-color: #7dbc35;
}
.switcher input:checked + label:before {
  left: 17px;
}
/*!------------------------------end style for toggle input-----------------------!*/

/*!------------------------------start style for toggle yes/no-----------------------!*/
.switcher2{
  border-radius: 8px;
  padding: 4px;
  background-color: #f2f3f5;
  width: fit-content;
}
input[type="checkbox"].yes_no {
  display: none;
}

input[type="checkbox"].yes_no + label span {
  text-align: center;
  padding: 0.25em 1em;
}

input[type="checkbox"].yes_no + label span.off {
  background: #7dbc35;
  color: white;
  cursor: pointer;
  border-radius: 6px;

}

input[type="checkbox"].yes_no + label span.on {
  background: #f2f3f5;
  color: #081833;
  cursor: pointer;
}

input[type="checkbox"].yes_no:checked + label span.off {
  background: #f2f3f5;
  color: #081833;
  display: flex;
  align-items: center;
  cursor: pointer;

}

input[type="checkbox"].yes_no:checked + label span.on {
  background: #ffffff;
  color: #081833;
  border-radius: 6px;
  box-shadow: 0px 0px 1px 1px rgba(230,231,234,1);
  -webkit-box-shadow: 0px 0px 1px 1px rgba(230,231,234,1);
  -moz-box-shadow: 0px 0px 1px 1px rgba(230,231,234,1);
  cursor: pointer;
}



/*!------------------------------end style for toggle yes/no-----------------------!*/




/*!------------------------------start style for intlTelInput-----------------------!*/


.iti--separate-dial-code .iti__selected-flag{
  background: none !important;
  &:focus-visible{
      outline: none;
  }
}

.iti__dropdown-content{
  border-radius: 4px;
  overflow-x: hidden;
  z-index: 4 !important;
}
.iti--separate-dial-code .iti__selected-flag{
  height: 96% !important;
  margin-top: 1px !important;
  padding-left: 4px !important;
  margin-left: 4px !important;
}
.iti__dropdown-content::-webkit-scrollbar {
  width: 6px;
}
.iti__dropdown-content::-webkit-scrollbar-thumb {
  background: #39465c; 
  border-radius: 3px;
  width: 3px !important;
}
.iti__dial-code{
  font-size: 14px !important;
  font-weight: bold !important;
  color: #081833 !important;
}
.iti__flag-box, .iti__country-name{
  color: #081833 !important;
  font-size: 14px !important;
  margin-right: 8px !important;
}
.iti__country.iti__highlight{
  background-color: #f2f3f5 !important;
}
.iti__search-input{
  margin-top: 8px;
  margin-left: 8px;
  margin-bottom: 12px;
  width: 95% !important;
  padding: 3px 8px 1px 10px;
  border-radius: 4px;
  border: solid 1px #ced1d6;
  background-color: #fff;
}

.iti__country {
  padding: 6px 10px !important;
}
.iti--separate-dial-code.iti--show-flags .iti__selected-dial-code{
  font-size: 14px !important;
  margin-left: 8px !important;
}
.phone_label{
    top: 0px !important;
    font-size: 10px !important;
    height: 2px !important;
    line-height: 0px !important;
    overflow: initial !important;
    z-index: 1 !important;  
}
/*!------------------------------end style for intlTelInput-----------------------!*/









/*!------------------------------start style tooltip-----------------------!*/
.tooltip_general:hover {
  cursor: help;
  filter: sepia(100%) hue-rotate(190deg) saturate(500%);
}
.tooltip-inner {
  padding: 16px 20px 20px !important;
  border-radius: 8px  !important;
  box-shadow: 0 2px 14px 2px rgba(28, 31, 36, 0.1) !important;
  background-color: #fff !important;
  font-size: 14px !important;
  font-weight: 500 !important;
  line-height: 1.43 !important;
  color: #081833 !important;
  opacity: 1 !important;
  width: 100% !important;
  max-width: 350px !important;
}

.tooltip.bottom .tooltip-arrow {
  border-bottom-color: #fff !important;
  box-shadow: 0 2px 14px 2px rgba(28, 31, 36, 0.1) !important;
}

.tooltip.bs-tooltip-right .tooltip-arrow::before {
  border-right-color: #fff !important;
  box-shadow: 0 2px 14px 2px rgba(28, 31, 36, 0.1) !important;

}
.tooltip.bs-tooltip-left .tooltip-arrow::before {
  border-left-color: #fff !important;
  box-shadow: 0 2px 14px 2px rgba(28, 31, 36, 0.1) !important;

}
.tooltip.bs-tooltip-bottom .tooltip-arrow::before {
  border-bottom-color: #fff !important;
  box-shadow: 0 2px 14px 2px rgba(28, 31, 36, 0.1) !important;

}
.tooltip.bs-tooltip-top .tooltip-arrow::before {
  border-top-color: #fff !important;
  box-shadow: 0 2px 14px 2px rgba(28, 31, 36, 0.1) !important;
  width: 100% !important;
  max-width: 350px !important;

}
/*!------------------------------end style for tooltip-----------------------!*/



/*!------------------------------start style for input-icon-----------------------!*/
.input_icon{
  position: absolute;
  right: 10px;
  top: 8px;
  height: 24px;
  width: auto; 
}
/*!------------------------------end style for input-icon-----------------------!*/



/*!------------------------------start style for label intl-tel-input with init on focus-----------------------!*/
.relative_social_label{
  top: 0px !important;
  font-size: 10px !important;
  height: 2px !important;
  line-height: 0px !important;
  overflow: initial !important;
  z-index: 1 !important;
}
/*!------------------------------end style for label intl-tel-input with init on focus-----------------------!*/



/*!------------------------------start style for input validation bootsrap settings-----------------------!*/
.invalid-feedback{
  display: block !important;
  font-size: 12px !important;
  color: #fb5300 !important;
  position: absolute;
  margin-top: 1px !important;
}

.form-control.is-invalid, .was-validated .form-control:invalid {
  color: #fb5300 !important;
  border-color:  #ced1d6 !important;
  background-image: none !important;
}
.form-control.is-valid, .was-validated .form-control:invalid {
  color: green !important;
  border-color:  #ced1d6 !important;
  background-image: none !important;
}
/*!------------------------------end style for input validation boostrap settings-----------------------!*/
